Moving ISPConfig3 from Ubuntu to Debian

Discussion in 'Installation/Configuration' started by itsnedkeren, Jan 11, 2010.

  1. itsnedkeren

    itsnedkeren New Member


    I find this very odd hehe :D


    Code:
    node01:~# apt-get --purge remove dovecot
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Package dovecot is not installed, so not removed
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    node01:~# /etc/init.d/dovecot start
    node01:~# /etc/init.d/dovecot stop
    node01:~#
    
     
  2. falko

    falko Super Moderator ISPConfig Developer

    What's in /etc/init.d/dovecot?
     
  3. itsnedkeren

    itsnedkeren New Member


    This is the contents:


    Code:
    #! /bin/sh
    ### BEGIN INIT INFO
    # Provides:          dovecot
    # Required-Start:    $syslog
    # Required-Stop:     $syslog
    # Should-Start:      $local_fs $time ntp
    # Should-Stop:       $local_fs
    # Default-Start:     2 3 4 5
    # Default-Stop:      0 1 6
    # Short-Description: Dovecot init script
    # Description:       Init script for dovecot services
    ### END INIT INFO
    
    # Author: Miquel van Smoorenburg <[email protected]>.
    #         Modified for Debian GNU/Linux
    #         by Ian Murdock <[email protected]>.
    #
    
    # Do NOT "set -e"
    
    # PATH should only include /usr/* if it runs after the mountnfs.sh script
    PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
    DESC="IMAP/POP3 mail server"
    NAME=dovecot
    DAEMON=/usr/sbin/dovecot
    DAEMON_ARGS=""
    SCRIPTNAME=/etc/init.d/$NAME
    CONF=/etc/dovecot/${NAME}.conf
    
    # Read configuration variable file if it is present
    [ -r /etc/default/$NAME ] && . /etc/default/$NAME
    
    # Exit if the package is not installed
    [ -x "$DAEMON" ] || exit 0
    
    # Exit if the configuration file doesn't exist
    [ -f "$CONF" ] || exit 0
    
    # Load the VERBOSE setting and other rcS variables
    . /lib/init/vars.sh
    
    # Define LSB log_* functions.
    # Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
    . /lib/lsb/init-functions
    
    # cong file readable?
    if [ ! -r ${CONF} ]; then
      [ "$VERBOSE" != no ] && log_daemon_msg "${CONF}: not readable" "$NAME" \
        && log_end_msg 1;
      exit 1;
    fi
    
    # The init script should do nothing if dovecot or another imap/pop3 server
    # is being run from inetd, and dovecot is configured to run as an imap or
    # pop3 service
    for p in `sed -r "s/^ *(([^:]+|\[[^]]+]|\*):)?(pop3s?|imaps?)[ \t].*/\3/;t;d" \
      /etc/inetd.conf`
    do
      for q in `sed -r "s/^[ \t]*protocols[ \t]*=[ \t]*(([^\"]*)|\"(.*)\")/\2\3/;t;d" \
        ${CONF}`
      do
        if [ $p = $q ]; then
          exit 0
        fi
      done
    done
    
    # determine the location of the PID file
    # overide by setting base_dir in conf file or PIDBASE in /etc/defaults/$NAME
    PIDBASE=${PIDBASE:-`sed -r "s/^[ \t]*base_dir[ \t]*=[ \t]*([^ \t]*)/\1/;t;d" ${CONF}`}
    PIDFILE=${PIDBASE:-/var/run/dovecot/}master.pid
    
    #
    # Function that starts the daemon/service
    #
    do_start()
    {
        # Return
        #   0 if daemon has been started
        #   1 if daemon was already running
        #   2 if daemon could not be started
        start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
            || return 1
        start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
            $DAEMON_ARGS \
            || return 2
    }
    
    #
    # Function that stops the daemon/service
    #
    do_stop()
    {
        # Return
        #   0 if daemon has been stopped
        #   1 if daemon was already stopped
        #   2 if daemon could not be stopped
        #   other if a failure occurred
        start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name ${DAEMON##*/}
        RETVAL="$?"
        [ "$RETVAL" = 2 ] && return 2
        # Wait for children to finish too if this is a daemon that forks
        # and if the daemon is only ever run from this initscript.
        # If the above conditions are not satisfied then add some other code
        # that waits for the process to drop all resources that could be
        # needed by services started subsequently.  A last resort is to
        # sleep for some time.
        start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --pidfile $PIDFILE --name ${DAEMON##*/}
        [ "$?" = 2 ] && return 2
        # Many daemons don't delete their pidfiles when they exit.
        rm -f $PIDFILE
        return "$RETVAL"
    }
    
    #
    # Function that sends a SIGHUP to the daemon/service
    #
    do_reload() {
        #
        # If the daemon can reload its configuration without
        # restarting (for example, when it is sent a SIGHUP),
        # then implement that here.
        #
        start-stop-daemon --stop --signal USR1 --quiet --pidfile $PIDFILE --name $NAME
        return 0
    }
    
    
    case "$1" in
      start)
        [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
        do_start
        case "$?" in
            0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
            2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
        esac
        ;;
      stop)
        [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
        do_stop
        case "$?" in
            0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
            2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
        esac
        ;;
      reload|force-reload)
        log_daemon_msg "Reloading $DESC" "$NAME"
        do_reload
        log_end_msg $?
        ;;
      restart)
        #
        # If the "reload" option is implemented then remove the
        # 'force-reload' alias
        #
        log_daemon_msg "Restarting $DESC" "$NAME"
        do_stop
        case "$?" in
          0|1)
            do_start
            case "$?" in
                0) log_end_msg 0 ;;
                1) log_end_msg 1 ;; # Old process is still running
                *) log_end_msg 1 ;; # Failed to start
            esac
            ;;
          *)
            # Failed to stop
            log_end_msg 1
            ;;
        esac
        ;;
      *)
        #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
        echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
        exit 3
        ;;
    esac
    
    exit 0
     
  4. falko

    falko Super Moderator ISPConfig Developer

    Do /usr/sbin/dovecot and /etc/dovecot/dovecot.conf exist?
     
  5. itsnedkeren

    itsnedkeren New Member



    Code:
    node01:~# cat /usr/sbin/dovecot
    cat: /usr/sbin/dovecot: No such file or directory

    /etc/dovecot/dovecot.conf does exist though.


    Code:
    node01:~# ls -la /etc/dovecot/
    total 176
    drwxr-xr-x  2 root root  4096 2010-11-05 23:34 .
    drwxr-xr-x 95 root root  4096 2010-11-12 16:23 ..
    -rw-r--r--  1 root root 45551 2010-11-05 23:34 dovecot.conf
    -rw-r--r--  1 root root 45568 2010-11-05 03:20 dovecot.conf~
    -rw-r--r--  1 root root 45557 2010-11-05 23:34 dovecot.conf.bak
    -rw-------  1 root root  4621 2009-09-23 13:12 dovecot-ldap.conf
    -rw-------  1 root root  5127 2010-11-05 21:52 dovecot-sql.conf
    -r--------  1 root root  5127 2010-11-05 03:20 dovecot-sql.conf~


    Thanks again.
     
  6. falko

    falko Super Moderator ISPConfig Developer

    I don't know why it didn't remove the other Dovecot files, but the most important thing is that /usr/sbin/dovecot is gone, so Dovecot cannot be started anymore.
     
  7. itsnedkeren

    itsnedkeren New Member

    Thanks for your assistance, much apprecited. I'll leave it at that :)
     

Share This Page